<html>
    <head>
        <style type="text/css">
            @page{
                margin: 30px 40px 50px 30px;
                /* ensure you append the header/footer name with 'html_' */
                header: html_MyCustomHeader; /* sets <htmlpageheader name="MyCustomHeader"> as the header */
                footer: html_MyCustomFooter; /* sets <htmlpagefooter name="MyCustomFooter"> as the footer */
            }
        </style>
    </head>
    <body>
        <?php
        if ($formatcetak == 'excel') {
            header("Content-type: application/vnd-ms-excel");
            header("Content-Disposition: attachment; filename=cetakdaftarteguran.xls");
        }
        
        $rom_bulan = ['01' => 'I', '02' => 'II', '03' => 'III', '04' => 'IV', '05' => 'V', '06' => 'VI', '07' => 'VII', '08' => 'VIII', '09' => 'IX', '10' => 'X', '11' => 'XI', '12' => 'XII'];
        $text_bulan = ['01' => 'Januari', '02' => 'Februari', '03' => 'Maret', '04' => 'April', '05' => 'Mei', '06' => 'Juni', '07' => 'Juli', '08' => 'Agustus', '09' => 'September', '10' => 'Oktober', '11' => 'November', '12' => 'Desember'];
        $t_tglcetak = date('d') . " " . $text_bulan[date('m')] . " " . date('Y');

        ini_set("max_execution_time", 5000);
        ini_set('memory_limit', '1024M');
        ?>
        <div style="position:absolute;top:30px;left:30px"><img src="<?= $this->basePath().'/'.$ar_pemda->s_logo ?>" width="70"></div>
        <div>
            <div style='width: 100%;font-family:sans-serif;text-align: center;'>
                <strong style=" font-size: 13pt; ">PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota); ?></strong><br>
                <strong style=" font-size: 15pt; "><?= strtoupper($ar_pemda->s_namainstansi); ?></strong><br>
                <span style="font-size:10pt"><?= strtoupper($ar_pemda->s_alamatinstansi); ?> Telp/Fax <?= $ar_pemda->s_notelinstansi ?>, <?= $ar_pemda->s_namaibukotakabkota ?> <?= $ar_pemda->s_kodepos ?></span>
            </div>
            <hr style="line-height: 1px; color: black">
            <?php $abulan = ['01' => 'Januari', '02' => 'Februari', '03' => 'Maret', '04' => 'April', '05' => 'Mei', '06' => 'Juni', '07' => 'Juli', '08' => 'Agustus', '09' => 'September', '10' => 'Oktober', '11' => 'November', '12' => 'Desember']; ?>
            <h4 style="text-align: center;font-family: arial;">DAFTAR TEGURAN</h4>
            <p style="font-size: 10pt; line-height: 5px;font-family: arial;"> 
                Tanggal : <?= date('d-m-Y') ?>
            </p>
            <table width="100%" cellpadding="3" class="font_sembilan" style="text-align: center;border-collapse: collapse;font-family: arial;">
                <tr style="background:#ccc;">
                    <th style="text-align: center;border: 1px solid black;">No.</th>
                    <th style="text-align: center;border: 1px solid black;">No. & Tgl Teguran</th>
                    <th style="text-align: center;border: 1px solid black;">ID OP</th>
                    <th style="text-align: center;border: 1px solid black;">Nama OP</th>
                    <th style="text-align: center;border: 1px solid black;">Alamat OP</th>
                    <th style="text-align: center;border: 1px solid black;">NPWPD</th>
                    <th style="text-align: center;border: 1px solid black;">Nama WP</th>
                    <th style="text-align: center;border: 1px solid black;">jenis Pajak</th>
                    <th style="text-align: center;border: 1px solid black;">Masa Pajak</th>
                </tr>
                <?php
                $counter = 1;
                foreach ($dataall as $k => $v) {
                    ?>
                    <tr>
                        <td style="text-align: center;border: 1px solid black;"><?= $counter ?></td>
                        <td style="border: 1px solid black;"><?= $v['t_noteguran'].'/'.date('d-m-Y', strtotime($v['t_tglteguran'])) ?></td>
                        <td style="border: 1px solid black;"><?= $v['t_nop'] ?></td>
                        <td style="text-align: left;border: 1px solid black;"><?= $v['t_namaobjek'] ?></td>
                        <td style="text-align: left;border: 1px solid black;"><?= $v['t_alamatlengkapobjek'] ?></td>
                        <td style="text-align: center;border: 1px solid black;"><?= $v['t_npwpdwp'] ?></td>
                        <td style="text-align: left;border: 1px solid black;"><?= $v['t_namawp'] ?></td>
                        <td style="text-align: left;border: 1px solid black;"><?= $v['s_namajenis'] ?></td>
                        <td style="text-align: center;border: 1px solid black;"><?= $v['t_bulanpajak'].' / '.$v['t_tahunpajak'] ?></td>
                    </tr>
                    <?php
                    $counter++;
                }
                ?>
            </table>
        </div>
        <?php if ($formatcetak == 'pdf') { ?>
        <htmlpagefooter name="MyCustomFooter">
            <table style="vertical-align: bottom; font-family:sans-serif;font-size: 7pt;" width="100%">
                <tbody>
                    <tr>
                            <!--<td width="33%"><span style="font-weight: bold; font-style: italic;">{DATE j-m-Y}</span></td>-->
                        <td style="font-style: italic;text-align: left;border: 1px solid #fff;" width="50%">Printed by SIMPATDA</td>
                        <td style="font-style: italic;text-align: right;border: 1px solid #fff;" width="50%">Halaman {PAGENO} dari {nbpg}</td>
                    </tr>
                </tbody>
            </table>
        </htmlpagefooter>
    <?php } ?>
</body>
</html>

